 //{
//    "err":'',
 //   "orderno":'',
//    "errcode":'',
//    "status":''
//     }


function postdata(i){
			var id=carddata[i].trid;
			var aj = $.ajax( {  
			url:PostUrl,// 跳转到 action  
			data:{  
					PiCiID:carddata[i].PiCiID,
					PostID:carddata[i].PostID
					},  
			 type:'get',  
			 cache:false,  
			 async: false,
			 dataType:'json',  
			 success:function(data) {  
														
											 if (data.err=='')
											 {
												$("#order"+id).html(data.orderno);
												$("#status"+id).html(data.status);
													var codestr="";
													switch(data.errcode){
														case "2000":codestr='<span style=\"color:red\">支付成功</span>';
														break;
														case "2011":codestr='<span style=\"color:red\">支付成功</span>';
														break;
														case "2001":codestr='<span style=\"color:red\">验证成功,待服务器返回</span>';
														break;
														case "2002":codestr='<span style=\"color:#000\">卡面额错误</span>';
														break;
														case "2003":codestr='<span style=\"color:#000\">订单号错误</span>';
														break;
														case "2004":codestr='<span style=\"color:#000\">卡号或卡密错误</span>';
														break;
														case "2005":codestr='<span style=\"color:#000\">点卡编码错误</span>';
														break;
														case "2006":codestr='<span style=\"color:#000\">签名错误</span>';
														break;
														case "2010":codestr='<span style=\"color:#000\">充值卡无效</span>';
														break;
														case "2012":codestr='<span style=\"color:#000\">订单不存在</span>';
														break;
														default:codestr='<span style=\"color:#000\">其他错误</span>';
														
														}
														$("#errcode"+id).html(codestr);
													
											 }else{
												$("#order"+id).html(data.err);
											 }
												
												if(i < nRecordCount){
												//递归
													postdata(i+1);
													//setTimeout(postdata(i+1),1000);
												}
								  },  
											error : function() {  
											   // view("异常！");  
												$("#orderno"+id).html("未知错误,请重新提交");
													if(i < nRecordCount){
													//递归
														postdata(i+1);//即使错误,也需要继续下一步提交
														//setTimeout(postdata(i+1),1000);
													}
												}  
							});
}
postdata(0);


function repost(str){
			var aj = $.ajax( {  
			  url:PostUrl,// 跳转到 action  
			  data:{  
						CardNo:'',
						CardPwd:'',
						FaceAmt:'',
						id:str,
			  },  
			 type:'get',  
			 cache:false, 
			 async: false, 
			 dataType:'json',  
			 success:function(data) {  
				 $("#orderno"+data.id).html(data.cardno);
					$("#status"+data.id).html('<font color=red>重提</font>');
			  },  
			  error : function() {  
				   // view("异常！");  
				   //alert("异常！");  
			  }  
		 });
}
